#include "decryptor.ih"

// static
void Decryptor::error(// ostream &out, 
                      int ret, 
                      pair<unsigned, unsigned> const &range)
{
    // msg 
    throw Exception{} 
        << "In " << g_filename << ':' << range.first << ':' << range.second << 
            ": cannot decrypt PGP section, gpg returns " << ret;
}
